﻿-- 检验申请单编码规则
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '10SC4+GLD5X5')
INSERT INTO t_cr_coderule(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES ('10SC4+GLD5X5','-','1',' ','2',NULL,'10SC4+GLD5X5','C','13ME0HNFODJ3',NULL,' ',{ts'2020-09-07  14:27:32'},'qcpp_manuinspecapply','1',910025032753777664,'0',{ts'2020-09-07  14:27:32'},910025032753777664,NULL); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '10SC4+GLHUOE')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('10SC4+GLD5X5','10SC4+GLHUOE','zh_CN','生产检验申请单'); 
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '10SC4+GLHUOD')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('10SC4+GLD5X5','10SC4+GLHUOD','zh_TW','生產檢驗申請單'); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FID = '10SC4+GLD5X5')
INSERT INTO t_cr_coderuleentry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR)
SELECT '10SC4+GLD5X5',1,'1',' ','0','10SC4+IQSQAZ',1,'1',' ',0,8,'1','SCJYSQ',' ','1',' ','0',' ' UNION
SELECT '10SC4+GLD5X5',1,'2','-','0','10SC4+IQSQB+',1,'1','1',1,8,'1','yyyyMMdd',' ','1','applytime','1',' ' UNION
SELECT '10SC4+GLD5X5',1,'16','-','0','10SC4+IQSQB/',1,'1','1',2,6,'1',' ',' ','1',' ','1',' ' ; 


-- 检验单编码规则
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '1204+9Q897MB')
INSERT INTO t_cr_coderule(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES ('1204+9Q897MB','-','1',' ','2',NULL,'1204+9Q897MB','C','1203N6V5VQI1',NULL,' ',{ts'2020-09-21  15:30:52'},'qcpp_manuinspec','1',910025032753777664,'0',{ts'2020-09-21  15:30:59'},0,NULL); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '1204+9Q85QMJ')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('1204+9Q897MB','1204+9Q85QMJ','zh_CN','生产检验单'); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FID = '1204+9Q897MB')
INSERT INTO t_cr_coderuleentry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR)
SELECT '1204+9Q897MB',1,'1',' ','0','1204+ON7EU8O',1,'1','1',0,8,'1','SCJY',' ','1',' ','0',' ' UNION 
SELECT '1204+9Q897MB',1,'2','-','0','1204+ON7EU8P',1,'1',' ',1,8,'1','yyyyMMdd',' ','1','createtime','1',' ' UNION
SELECT '1204+9Q897MB',1,'16','-','0','1204+ON7EU8Q',1,'1',' ',2,6,'1',' ',' ','1',' ','1',' ' ; 


-- 不合格品单编码规则
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '10SC98MRPOLZ')
INSERT INTO t_cr_coderule(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES ('10SC98MRPOLZ','-','1',' ','2',NULL,'10SC98MRPOLZ','C','13MERBM87H5M',NULL,' ',{ts'2020-09-07  14:28:58'},'qcpp_manubaddeal','1',910025032753777664,'0',{ts'2020-09-07  14:28:58'},910025032753777664,NULL); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '10SC98MRUBD7')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('10SC98MRPOLZ','10SC98MRUBD7','zh_CN','生产不合格品处理'); 
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '10SC98MRUBD6')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('10SC98MRPOLZ','10SC98MRUBD6','zh_TW','生產不合格品處理'); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FID = '10SC98MRPOLZ')
INSERT INTO t_cr_coderuleentry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR)
SELECT '10SC98MRPOLZ',1,'1',' ','0','10SC98NAG5S0',1,'1',' ',0,8,'1','SCBHG',' ','1',' ','0',' ' UNION
SELECT '10SC98MRPOLZ',1,'2','-','0','10SC98NAG5S1',1,'1','1',1,8,'1','yyyyMMdd',' ','1','createtime','1',' ' UNION
SELECT '10SC98MRPOLZ',1,'16','-','0','10SC98NAG5S2',1,'1','1',2,6,'1',' ',' ','1',' ','1',' ' ; 
